Agent Terminals
Get the current bounded shell output for one execution
Get the current bounded shell output for one execution. The request requires an authenticated caller and enforces terminal ownership, access grants, and activity visibility.
GET
/
api
/
v1
/
vault
/
terminals
/
activity
/
execution
/
{executionId}
Get the current bounded shell output for one execution
curl --request GET \
--url https://api.revoengine.com/api/v1/vault/terminals/activity/execution/{executionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/vault/terminals/activity/execution/{executionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/vault/terminals/activity/execution/{executionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"activityId": "<string>",
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "runner_connected",
"status": "<string>",
"grantRevision": 123,
"grantMode": "review",
"restricted": true,
"outputCursor": 123,
"executed": true,
"timedOut": true,
"cancelled": true,
"truncated": true,
"logTruncated": true,
"createdAt": "2023-11-07T05:31:56Z",
"stdout": "<string>",
"stderr": "<string>",
"actorName": "<string>",
"actorMail": "<string>",
"assistantThreadId": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissionPolicy": "<string>",
"clientIp": "<string>",
"command": "<string>",
"workdir": "<string>",
"exitCode": 123,
"finishedAt": "2023-11-07T05:31:56Z",
"changes": [
{
"field": "<string>",
"before": "<unknown>",
"after": "<unknown>"
}
],
"refToken": "<string>"
}Response
200 - application/json
⌘I
Get the current bounded shell output for one execution
curl --request GET \
--url https://api.revoengine.com/api/v1/vault/terminals/activity/execution/{executionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/vault/terminals/activity/execution/{executionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/vault/terminals/activity/execution/{executionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"activityId": "<string>",
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "runner_connected",
"status": "<string>",
"grantRevision": 123,
"grantMode": "review",
"restricted": true,
"outputCursor": 123,
"executed": true,
"timedOut": true,
"cancelled": true,
"truncated": true,
"logTruncated": true,
"createdAt": "2023-11-07T05:31:56Z",
"stdout": "<string>",
"stderr": "<string>",
"actorName": "<string>",
"actorMail": "<string>",
"assistantThreadId": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissionPolicy": "<string>",
"clientIp": "<string>",
"command": "<string>",
"workdir": "<string>",
"exitCode": 123,
"finishedAt": "2023-11-07T05:31:56Z",
"changes": [
{
"field": "<string>",
"before": "<unknown>",
"after": "<unknown>"
}
],
"refToken": "<string>"
}
